package link.at17.mid.tushare.data.models.interfaces;

import java.time.LocalDateTime;

/**
 * 实现基本股票/板块指数查询信息的接口
 * @see link.at17.mid.tushare.data.models.StockInfo
 * @see link.at17.mid.tushare.data.models.ThsStockInfo
 */
public interface ITsStockInfo {
    /**
     * 获取 Tushare 代码
     * @return
     */
    String getTsCode();
    /**
     * 获取名称
     * @return
     */
    String getName();
    /**
     * 获取上市（成立）日期
     * @return
     */
    LocalDateTime getListDate();
    /**
     * 获取退市（终止）日期
     * @return
     */
    default LocalDateTime getDelistDate() {
        return null;
    }
}
